## blis 0.8.1

=== Makefile ===
#
#
#  BLIS    
#  An object-based framework for developing high-performance BLAS-like
#  libraries.
#
#  Copyright (C) 2014, The University of Texas at Austin
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions are
#  met:
#   - Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#   - Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#   - Neither the name(s) of the copyright holder(s) nor the names of its
#     contributors may be used to endorse or promote products derived
#     from this software without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
#  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
#  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
#  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
#  HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
#  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
#

#
# Makefile
#
# Field G. Van Zee
# 
# Top-level makefile for libflame linear algebra library.
#
#

#
# --- Makefile PHONY target definitions ----------------------------------------
#

.PHONY: all \
        libs libblis \
        check-env check-env-mk check-env-fragments check-env-make-defs \
        flat-header flat-cblas-header \
        test \
        testblas blastest-f2c blastest-bin blastest-run \
        testsuite testsuite-bin \
        testsuite-run testsuite-run-fast testsuite-run-md testsuite-run-salt \
        testblis testblis-fast testblis-md testblis-salt \
        check checkblas \
        checkblis checkblis-fast checkblis-md checkblis-salt \
        install-headers install-libs install-lib-symlinks \
        showconfig \
        clean cleanmk cleanh cleanlib distclean \
        cleantest cleanblastest cleanblistest \
        changelog \
        install uninstall uninstall-old \
        uninstall-libs uninstall-lib-symlinks uninstall-headers \
        uninstall-old-libs uninstall-lib-symlinks uninstall-old-headers

#
# --- Determine makefile fragment location -------------------------------------
#

# Comments:
# - We don't need to define DIST_PATH, LIB_PATH, INC_PATH, or SHARE_PATH since
#   the defaults in common.mk (and config.mk) are designed to work with the
#   top-level Makefile.
#DIST_PATH  := .
#LIB_PATH    = ./lib/$(CONFIG_NAME)
#INC_PATH    = ./include/$(CONFIG_NAME)
#SHARE_PATH := .


#
# --- Include common makefile definitions --------------------------------------
#

# Define the name of the common makefile.
COMMON_MK_FILE    := common.mk

# Include the configuration file.
-include $(COMMON_MK_FILE)

# Detect whether we actually got the configuration file. If we didn't, then
# it is likely that the user has not yet generated it (via configure).
ifeq ($(strip $(COMMON_MK_INCLUDED)),yes)
COMMON_MK_PRESENT := yes
else
COMMON_MK_PRESENT := no
endif



#
# --- Main target variable definitions -----------------------------------------
#

# --- Object file paths ---

# Construct the base object file path for the current configuration.
BASE_OBJ_PATH          := ./$(OBJ_DIR)/$(CONFIG_NAME)

# Construct base object file paths corresponding to the four locations
# of source code.
BASE_OBJ_CONFIG_PATH   := $(BASE_OBJ_PATH)/$(CONFIG_DIR)
BASE_OBJ_FRAME_PATH    := $(BASE_OBJ_PATH)/$(FRAME_DIR)
BASE_OBJ_REFKERN_PATH  := $(BASE_OBJ_PATH)/$(REFKERN_DIR)
BASE_OBJ_KERNELS_PATH  := $(BASE_OBJ_PATH)/$(KERNELS_DIR)
BASE_OBJ_SANDBOX_PATH  := $(BASE_OBJ_PATH)/$(SANDBOX_DIR)

# --- Define install target names for static libraries ---

LIBBLIS_A_INST            := $(INSTALL_LIBDIR)/$(LIBBLIS_A)

# --- Define install target names for shared libraries ---

LIBBLIS_SO_INST           := $(INSTALL_LIBDIR)/$(LIBBLIS_SO)
LIBBLIS_SO_MAJ_INST       := $(INSTALL_LIBDIR)/$(LIBBLIS_SONAME)

ifeq ($(IS_WIN),yes)
# The 'install' target does not create symlinks for Windows builds, so we don't
# bother defining LIBBLIS_SO_MMB_INST.
LIBBLIS_SO_MMB_INST       :=
else
LIBBLIS_SO_MMB_INST       := $(INSTALL_LIBDIR)/$(LIBBLIS).$(LIBBLIS_SO_MMB_EXT)
endif

# --- Determine which libraries to build ---

MK_LIBS                   :=
MK_LIBS_INST              :=
MK_LIBS_SYML              :=

ifeq ($(MK_ENABLE_STATIC),yes)
MK_LIBS                   += $(LIBBLIS_A_PATH)
MK_LIBS_INST              += $(LIBBLIS_A_INST)
MK_LIBS_SYML              +=
endif
ifeq ($(MK_ENABLE_SHARED),yes)
MK_LIBS                   += $(LIBBLIS_SO_PATH) \
                             $(LIBBLIS_SO_MAJ_PATH)
MK_LIBS_INST              += $(LIBBLIS_SO_MMB_INST)
MK_LIBS_SYML              += $(LIBBLIS_SO_INST) \
                             $(LIBBLIS_SO_MAJ_INST)
endif

# Strip leading, internal, and trailing whitespace.
MK_LIBS_INST              := $(strip $(MK_LIBS_INST))
MK_LIBS_SYML              := $(strip $(MK_LIBS_SYML))

# --- Define install directory for headers ---

# Set the path to the subdirectory of the include installation directory.
MK_INCL_DIR_INST          := $(INSTALL_INCDIR)/blis

# --- Define install directory for public makefile fragments ---

# Set the path to the subdirectory of the share installation directory.
MK_SHARE_DIR_INST         := $(INSTALL_SHAREDIR)/blis

PC_SHARE_DIR_INST         := $(INSTALL_SHAREDIR)/pkgconfig


#
# --- Library object definitions -----------------------------------------------
#

# In this section, we will isolate the relevant source code filepaths and
# convert them to lists of object filepaths. Relevant source code falls into
# four categories: configuration source; architecture-specific kernel source;
# reference kernel source; and general framework source.

# $(call gen-obj-paths-from-src file_exts, src_files, base_src_path, base_obj_path)
gen-obj-paths-from-src = $(foreach ch, $(1), \
                             $(patsubst $(3)/%.$(ch), \
                                        $(4)/%.o, \
                                        $(filter %.$(ch), $(2)) ) )

# Generate object file paths for source code found in the sub-configuration
# directories.
MK_CONFIG_OBJS      := $(call gen-obj-paths-from-src,$(CONFIG_SRC_SUFS),$(MK_CONFIG_SRC),$(CONFIG_PATH),$(BASE_OBJ_CONFIG_PATH))

# Generate object file paths for architecture-specific kernel source code.
# We target only .c, .s, and .S files. Note that MK_KERNELS_SRC is already
# limited to the kernel source corresponding to the kernel sets in
# KERNEL_LIST. This is because the configure script only propogated makefile
# fragments into those specific kernel subdirectories.
MK_KERNELS_OBJS     := $(call gen-obj-paths-from-src,$(KERNELS_SRC_SUFS),$(MK_KERNELS_SRC),$(KERNELS_PATH),$(BASE_OBJ_KERNELS_PATH))

# Generate object file paths for reference kernels, with one set of object
# files for each sub-configuration in CONFIG_LIST. Note that due to the
# nuances of naming the reference kernel files, we can't use the function
# gen-obj-paths-from-src as we do above and below.
MK_REFKERN_C        := $(filter %.c, $(MK_REFKERN_SRC))
MK_REFKERN_OBJS     := $(foreach arch, $(CONFIG_LIST), \
                           $(patsubst $(REFKERN_PATH)/%_$(REFNM).c, \
                                 $(BASE_OBJ_REFKERN_PATH)/$(arch)/%_$(arch)_$(REFNM).o, \
                                 $(MK_REFKERN_C) \
                            ) \
                        )

# Generate object file paths for all of the portable framework source code.
MK_FRAME_OBJS       := $(call gen-obj-paths-from-src,$(FRAME_SRC_SUFS),$(MK_FRAME_SRC),$(FRAME_PATH),$(BASE_OBJ_FRAME_PATH))

# Generate object file paths for the sandbox source code. If a sandbox was not
# enabled a configure-time, this variable will we empty.
MK_SANDBOX_OBJS     := $(call gen-obj-paths-from-src,$(SANDBOX_SRC_SUFS),$(MK_SANDBOX_SRC),$(SANDBOX_PATH),$(BASE_OBJ_SANDBOX_PATH))

# Combine all of the object files into some readily-accessible variables.
MK_BLIS_OBJS        := $(MK_CONFIG_OBJS) \
                       $(MK_KERNELS_OBJS) \
                       $(MK_REFKERN_OBJS) \
                       $(MK_FRAME_OBJS) \
                       $(MK_SANDBOX_OBJS)

# Optionally filter out the BLAS and CBLAS compatibility layer object files.
# This is not actually necessary, since each affected file is guarded by C
# preprocessor macros, but it but prevents "empty" object files from being
# added into the library (and reduces compilation time).
BASE_OBJ_BLAS_PATH  := $(BASE_OBJ_FRAME_PATH)/compat
BASE_OBJ_CBLAS_PATH := $(BASE_OBJ_FRAME_PATH)/compat/cblas
ifeq ($(MK_ENABLE_CBLAS),no)
MK_BLIS_OBJS        := $(filter-out $(BASE_OBJ_CBLAS_PATH)/%.o, $(MK_BLIS_OBJS) )
endif
ifeq ($(MK_ENABLE_BLAS),no)
MK_BLIS_OBJS        := $(filter-out $(BASE_OBJ_BLAS_PATH)/%.o,  $(MK_BLIS_OBJS) )
endif



#
# --- Monolithic header definitions --------------------------------------------
#

# Define a list of headers to install. The default is to only install blis.h.
HEADERS_TO_INSTALL := $(BLIS_H_FLAT)

# If CBLAS is enabled, we also install cblas.h so the user does not need to
# change their source code to #include "blis.h" in order to access the CBLAS
# function prototypes and enums.
ifeq ($(MK_ENABLE_CBLAS),yes)
HEADERS_TO_INSTALL += $(CBLAS_H_FLAT)
endif

# If requested, include AMD's C++ template header files in the list of headers
# to install.
ifeq ($(INSTALL_HH),yes)
HEADERS_TO_INSTALL += $(wildcard $(VEND_CPP_PATH)/*.hh)
endif



#
# --- public makefile fragment definitions -------------------------------------
#

# Define a list of makefile fragments to install.
FRAGS_TO_INSTALL := $(CONFIG_MK_FILE) \
                    $(COMMON_MK_FILE)

PC_IN_FILE  := blis.pc.in
PC_OUT_FILE := blis.pc


#
# --- BLAS test drivers definitions --------------------------------------------
#

# The location of the BLAS test suite's input files.
BLASTEST_INPUT_PATH    := $(DIST_PATH)/$(BLASTEST_DIR)/input

# The location of the BLAS test suite object directory.
BASE_OBJ_BLASTEST_PATH := $(BASE_OBJ_PATH)/$(BLASTEST_DIR)

# The locations of the BLAS test suite source code (f2c and drivers).
BLASTEST_F2C_SRC_PATH  := $(DIST_PATH)/$(BLASTEST_DIR)/f2c
BLASTEST_DRV_SRC_PATH  := $(DIST_PATH)/$(BLASTEST_DIR)/src

# The paths to object files we will create (f2c and drivers).
BLASTEST_F2C_OBJS      := $(sort \
                          $(patsubst $(BLASTEST_F2C_SRC_PATH)/%.c, \
                                     $(BASE_OBJ_BLASTEST_PATH)/%.o, \
                                     $(wildcard $(BLASTEST_F2C_SRC_PATH)/*.c)) \
                           )

BLASTEST_DRV_OBJS      := $(sort \
                          $(patsubst $(BLASTEST_DRV_SRC_PATH)/%.c, \
                                     $(BASE_OBJ_BLASTEST_PATH)/%.o, \
                                     $(wildcard $(BLASTEST_DRV_SRC_PATH)/*.c)) \
                           )

# libf2c name and location.
BLASTEST_F2C_LIB_NAME  := libf2c.a
BLASTEST_F2C_LIB       := $(BASE_OBJ_BLASTEST_PATH)/$(BLASTEST_F2C_LIB_NAME)

# The base names of each driver source file (ie: filename minus suffix).
BLASTEST_DRV_BASES     := $(basename $(notdir $(BLASTEST_DRV_OBJS)))

# The binary executable driver names.
BLASTEST_DRV_BINS      := $(addsuffix .x,$(BLASTEST_DRV_BASES))
BLASTEST_DRV_BIN_PATHS := $(addprefix $(BASE_OBJ_BLASTEST_PATH)/,$(BLASTEST_DRV_BINS))

# Binary executable driver "run-" names

=== kernels/power7/3/test/Makefile ===

CC	= gcc
TARGET_ARCH = -m64 -mvsx

TGTS	= exp

KERNEL	= bli_gemm_opt_8x4.o

CFLAGS  = -DUTEST -std=gnu99 -ggdb3 -Wall
CFLAGS  += -O3

all: $(TGTS)

exp: exp.o $(KERNEL)

clean:
	rm -f $(TGTS) *.o

=== debian/changelog ===
blis (0.8.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Fri, 03 Sep 2021 23:16:38 -0400

blis (0.8.1-1) experimental; urgency=medium

  * New upstream version 0.8.1
  * Refresh existing patches.

 -- Mo Zhou <lumin@debian.org>  Sat, 08 May 2021 13:27:19 +0800

=== debian/control ===
Source: blis
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Nico Schlömer <nico.schloemer@gmail.com>,
           Mo Zhou <lumin@debian.org>,
Section: math
Priority: optional
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/blis
Vcs-Git: https://salsa.debian.org/science-team/blis.git
Homepage: https://github.com/flame/blis
Build-Depends: debhelper-compat (= 13), python3,
Rules-Requires-Root: no

Package: libblis-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libblis3 (= ${binary:Version}), ${misc:Depends},
 libblis-openmp-dev | libblis-pthread-dev | libblis-serial-dev,
Description: BLAS-like Library Instantiation Software Framework (dev,32bit,meta)
 BLIS is a portable software framework for instantiating high-performance
 BLAS-like dense linear algebra libraries. The framework was designed to
 isolate essential kernels of computation that, when optimized, immediately
 enable optimized implementations of most of its commonly used and
 computationally intensive operations. BLIS is written in ISO C99 and available
 under a new/modified/3-clause BSD license. While BLIS exports a new BLAS-like
 API, it also includes a BLAS compatibility layer which gives application
 developers access to BLIS implementations via traditional BLAS routine calls.
 An object-based API is also available for more experienced users.
 .
 The package pulls development files for one of the 32-bit BlasInt variants.

Package: libblis-openmp-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libblis3-openmp (= ${binary:Version}), ${misc:Depends}
Provides: libblis.so, libblas.so,
Description: BLAS-like Library Instantiation Software Framework (dev,32bit,openmp)
 BLIS is a portable software framework for instantiating high-performance
 BLAS-like dense linear algebra libraries. The framework was designed to
 isolate essential kernels of computation that, when optimized, immediately
 enable optimized implementations of most of its commonly used and
 computationally intensive operations. BLIS is written in ISO C99 and available
 under a new/modified/3-clause BSD license. While BLIS exports a new BLAS-like
 API, it also includes a BLAS compatibility layer which gives application
 developers access to BLIS implementations via traditional BLAS routine calls.
 An object-based API is also available for more experienced users.
 .
 The package contains (-t openmp) version of development files.

Package: libblis-pthread-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libblis3-pthread (= ${binary:Version}), ${misc:Depends}
Provides: libblis.so, libblas.so,
Description: BLAS-like Library Instantiation Software Framework (dev,32bit,pthread)
 BLIS is a portable software framework for instantiating high-performance
 BLAS-like dense linear algebra libraries. The framework was designed to
 isolate essential kernels of computation that, when optimized, immediately
 enable optimized implementations of most of its commonly used and
 computationally intensive operations. BLIS is written in ISO C99 and available
 under a new/modified/3-clause BSD license. While BLIS exports a new BLAS-like
 API, it also includes a BLAS compatibility layer which gives application
 developers access to BLIS implementations via traditional BLAS routine calls.
 An object-based API is also available for more experienced users.
 .
 The package contains (-t pthread) version of development files.

Package: libblis-serial-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libblis3-serial (= ${binary:Version}), ${misc:Depends}
Provides: libblis.so, libblas.so,
Description: BLAS-like Library Instantiation Software Framework (dev,32bit,serial)
 BLIS is a portable software framework for instantiating high-performance
 BLAS-like dense linear algebra libraries. The framework was designed to
 isolate essential kernels of computation that, when optimized, immediately
 enable optimized implementations of most of its commonly used and
 computationally intensive operations. BLIS is written in ISO C99 and available
 under a new/modified/3-clause BSD license. While BLIS exports a new BLAS-like
 API, it also includes a BLAS compatibility layer which gives application
 developers access to BLIS implementations via traditional BLAS routine calls.
 An object-based API is also available for more experienced users.
 .
 The package contains (-t no) version development files.

Package: libblis3
Architecture: any
Multi-Arch: same
Section: metapackages
Depends: ${misc:Depends}, ${shlibs:Depends},
  libblis3-openmp (= ${binary:Version})
  | libblis3-pthread (= ${binary:Version})
  | libblis3-serial (= ${binary:Version}),
Description: BLAS-like Library Instantiation Software Framework (32bit,meta)
 BLIS is a portable software framework for instantiating high-performance
 BLAS-like dense linear algebra libraries. The framework was designed to
 isolate essential kernels of computation that, when optimized, immediately
 enable optimized implementations of most of its commonly used and
 computationally intensive operations. BLIS is written in ISO C99 and available
 under a new/modified/3-clause BSD license. While BLIS exports a new BLAS-like
 API, it also includes a BLAS compatibility layer which gives application
 developers access to BLIS implementations via traditional BLAS routine calls.
 An object-based API is also available for more experienced users.
 .
 The package pulls one of the 32-bit-BlasInt shared library variants.

Package: libblis3-openmp
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Provides: libblis.so.2, libblas.so.3,
Breaks: libblis2-openmp
Replaces: libblis2-openmp
Description: BLAS-like Library Instantiation Software Framework (32bit,openmp)
 BLIS is a portable software framework for instantiating high-performance
 BLAS-like dense linear algebra libraries. The framework was designed to
 isolate essential kernels of computation that, when optimized, immediately
 enable optimized implementations of most of its commonly used and
 computationally intensive operations. BLIS is written in ISO C99 and available
 under a new/modified/3-clause BSD license. While BLIS exports a new BLAS-like
 API, it also includes a BLAS compatibility layer which gives application
 developers access to BLIS implementations via traditional BLAS routine calls.
 An object-based API is also available for more experienced users.
 .
 The package contains the (-t openmp) version of shared library.

Package: libblis3-pthread
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Provides: libblis.so.2, libblas.so.3,
Breaks: libblis2-pthread
Replaces: libblis2-pthread
Description: BLAS-like Library Instantiation Software Framework (32bit,pthread)
 BLIS is a portable software framework for instantiating high-performance
 BLAS-like dense linear algebra libraries. The framework was designed to
 isolate essential kernels of computation that, when optimized, immediately
 enable optimized implementations of most of its commonly used and
 computationally intensive operations. BLIS is written in ISO C99 and available
 under a new/modified/3-clause BSD license. While BLIS exports a new BLAS-like
 API, it also includes a BLAS compatibility layer which gives application
 developers access to BLIS implementations via traditional BLAS routine calls.
 An object-based API is also available for more experienced users.
 .
 The package contains the (-t pthread) version of shared library.

Package: libblis3-serial
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Provides: libblis.so.2, libblas.so.3,
Breaks: libblis2-serial
Replaces: libblis2-serial
Description: BLAS-like Library Instantiation Software Framework (32bit,serial)
 BLIS is a portable software framework for instantiating high-performance
 BLAS-like dense linear algebra libraries. The framework was designed to
 isolate essential kernels of computation that, when optimized, immediately
 enable optimized implementations of most of its commonly used and
 computationally intensive operations. BLIS is written in ISO C99 and available
 under a new/modified/3-clause BSD license. While BLIS exports a new BLAS-like
 API, it also includes a BLAS compatibility layer which gives application
 developers access to BLIS implementations via traditional BLAS routine calls.
 An object-based API is also available for more experienced users.
 .
 The package contains the (-t no) version of shared library.

Package: libblis64-dev
Architecture: amd64 kfreebsd-amd64 arm64 mips64el ppc64el s390x ppc64 riscv64 sparc64
Multi-Arch: same
Section: libdevel
Depends: libblis64-3 (= ${binary:Version}), ${misc:Depends},
 libblis64-openmp-dev | libblis64-pthread-dev | libblis64-serial-dev,
Description: BLAS-like Library Instantiation Software Framework (dev,64bit,meta)
 BLIS is a portable software framework for instantiating high-performance
 BLAS-like dense linear algebra libraries. The framework was designed to
 isolate essential kernels of computation that, when optimized, immediately
 enable optimized implementations of most of its commonly used and
 computationally intensive operations. BLIS is written in ISO C99 and available
 under a new/modified/3-clause BSD license. While BLIS exports a new BLAS-like
 API, it also includes a BLAS compatibility layer which gives application
 developers access to BLIS implementations via traditional BLAS routine calls.
 An object-based API is also available for more experienced users.
 .
 The package pulls development files for one of the 64-bit BlasInt variants.

Package: libblis64-openmp-dev
Architecture: amd64 kfreebsd-amd64 arm64 mips64el ppc64el s390x ppc64 riscv64 sparc64
Multi-Arch: same
Section: libdevel
Depends: libblis64-3-openmp (= ${binary:Version}), ${misc:Depends}
Provides: libblis64.so, libblas64.so,
Description: BLAS-like Library Instantiation Software Framework (dev,64bit,openmp)
 BLIS is a portable software framework for instantiating high-performance
 BLAS-like dense linear algebra libraries. The framework was designed to
 isolate essential kernels of computation that, when optimized, immediately
 enable optimized implementations of most of its commonly used and
 computationally intensive operations. BLIS is written in ISO C99 and available
 under a new/modified/3-clause BSD license. While BLIS exports a new BLAS-like
 API, it also includes a BLAS compatibility layer which gives application
 developers access to BLIS implementations via traditional BLAS routine calls.
 An object-based API is also available for more experienced users.
 .
 The package contains the (-b 64 -i 64 -t openmp) version of development files.

Package: libblis64-pthread-dev
Architecture: amd64 kfreebsd-amd64 arm64 mips64el ppc64el s390x ppc64 riscv64 sparc64
Multi-Arch: same
Section: libdevel
Depends: libblis64-3-pthread (= ${binary:Version}), ${misc:Depends}
Provides: libblis64.so, libblas64.so,
Description: BLAS-like Library Instantiation Software Framework (dev,64bit,pthread)
 BLIS is a portable software framework for instantiating high-performance
 BLAS-like dense linear algebra libraries. The framework was designed to
 isolate essential kernels of computation that, when optimized, immediately
 enable optimized implementations of most of its commonly used and
 computationally intensive operations. BLIS is written in ISO C99 and available
 under a new/modified/3-clause BSD license. While BLIS exports a new BLAS-like
 API, it also includes a BLAS compatibility layer which gives application
 developers access to BLIS implementations via traditional BLAS routine calls.
 An object-based API is also available for more experienced users.
 .
 The package contains the (-b 64 -i 64 -t pthread) version of development files.

Package: libblis64-serial-dev

=== debian/tests/control ===
# ---------------- BLIS testsuite ---------------------------------------------

Test-Command: cd testsuite; sh ../debian/tests/blis-testsuite.sh blis-openmp
Restrictions: allow-stderr,
Depends: libblis-openmp-dev, build-essential,
Features: test-name=blis32-openmp-test

Test-Command: cd testsuite; sh ../debian/tests/blis-testsuite.sh blis-pthread
Restrictions: allow-stderr,
Depends: libblis-pthread-dev, build-essential,
Features: test-name=blis32-pthread-test

Test-Command: cd testsuite; sh ../debian/tests/blis-testsuite.sh blis-serial
Restrictions: allow-stderr,
Depends: libblis-serial-dev, build-essential,
Features: test-name=blis32-serial-test

Test-Command: cd testsuite; sh ../debian/tests/blis-testsuite.sh blis64-openmp
Restrictions: allow-stderr,
Depends: libblis64-openmp-dev, build-essential,
Features: test-name=blis64-openmp-test

Test-Command: cd testsuite; sh ../debian/tests/blis-testsuite.sh blis64-pthread
Restrictions: allow-stderr,
Depends: libblis64-pthread-dev, build-essential,
Features: test-name=blis64-pthread-test

Test-Command: cd testsuite; sh ../debian/tests/blis-testsuite.sh blis64-serial
Restrictions: allow-stderr,
Depends: libblis64-serial-dev, build-essential,
Features: test-name=blis64-serial-test

# ---------------- installation / maintainer script tests ---------------------

Test-Command: apt-get purge libblis-dev libblis-openmp-dev libblis-pthread-dev libblis-serial-dev -y
Restrictions: needs-root,
Depends: libblis-dev, libblis-openmp-dev, libblis-pthread-dev, libblis-serial-dev,
Features: test-name=blis32_maintscript

Test-Command: apt-get purge libblis64-dev libblis64-openmp-dev libblis64-pthread-dev libblis64-serial-dev -y
Restrictions: needs-root,
Depends: libblis64-dev, libblis64-openmp-dev, libblis64-pthread-dev, libblis64-serial-dev,
Features: test-name=blis64_maintscript
